# Kern - Common Python Libraries
[![Python Version](https://img.shields.io/badge/python-3.11+-blue.svg)](https://www.python.org/) [![License](https://img.shields.io/badge/License-BSD_3--Clause-blue.svg)](https://opensource.org/licenses/BSD-3-Clause)

The repository contains the Kern Python library code. 
Kern (`kern-comm-lib`) is an open-source collection of Python code designed to augment the Python standard library.
It provides robust, exception-free Python utilities for building reliable applications
and features modern error handling with `Status` and `StatusOr` to eliminate runtime surprises.
<p align="center">
    <img alt="Kern Logo" src="assets/logo.png"  width="200"/>
</p>

[**Features**](#features) | [**Installation**](#installation) | [**License**](#license)

> [!IMPORTANT]  
> 📣 **Kern-comm-lib is under active development.**  
> APIs will (greatly) evolve until v1.0.

## Features ✨  
- **Exception-Free Modules**: Predictable error handling without `try/except` sprawl.  
- **Status & StatusOr**: Modern result types for explicit success/failure handling.

## Installation ⚙️  
```bash
pip install kern-comm-lib
```

## License 📜
BSD-3 Clause. See [LICENSE](LICENSE).

---

*Engineered for reliability.*
